
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>SQLServer数据库备份及还原策略解析 / iVAN</title>

    <meta name="description" content="SQLServer数据库备份及还原策略解析 a.数据丢失的原因: 程序错误 人为错误 计算机错误 磁盘失败 灾难(如火灾,地震)和偷窃 b.什么是备份 备份即建立数据的副本 用于在系统发生故障后还原和恢复数据 文件复制不等于备份 c.备份类型 完全备份:备份完成时刻的数据库提供了任何其他备份的基准 差异备份:事先已执行过一次完全备份,对上一次完全备份之后所有的更改的数据做备份 事务日志备份:事先已执行过一次完全备份,从上一次事务日志备份或者完全备份到当前事务日志的尾部截断已确认的事务日志的备份. 文件或文件组备份 d.SQL Server">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">SQLServer数据库备份及还原策略解析</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>a、数据丢失的原因：<br />
程序错误<br />
人为错误<br />
计算机错误<br />
磁盘失败<br />
灾难（如火灾，地震）和偷窃<br />
b、什么是备份<br />
备份即建立数据的副本<br />
用于在系统发生故障后还原和恢复数据<br />
文件复制不等于备份<br />
c、备份类型<br />
完全备份：备份完成时刻的数据库提供了任何其他备份的基准<br />
差异备份：事先已执行过一次完全备份，对上一次完全备份之后所有的更改的数据做备份<br />
事务日志备份：事先已执行过一次完全备份，从上一次事务日志备份或者完全备份到当前事务日志的尾部截断已确认的事务日志的备份。<br />
文件或文件组备份<br />
d、SQL Server支持的备份媒体<br />
磁盘<br />
磁带<br />
网络共享文件<br />
e、备份设备<br />
物理设备：c:＼backup＼full.bak<br />
逻辑备份：存储在系统数据库master数据库的sysdevices表中，使用命令sp_addumpdevice新建一个逻辑设备<br />
f、备份策略<br />
完全备份和还原：小型数据库，数据库很少改变或只读<br />
完全备份+差异备份和还原：数据库频繁更改，想要最少的备份时间<br />
完全备份+日志备份和还原：数据库经常更改，完整备份时间过长<br />
完全备份+差异备份+日志备份和还原：可以减少所需还原事务日志备份的数量，缩短恢复数据库的时间<br />
完全备份及还原:</p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">backup database &lt;database_name&gt; to disk=’d:＼backup＼database_name.bak’ with init,format;<br />
restore database &lt;database_name&gt; from disk=’d:＼backup＼database_name.bak’ with recovery;
</td>
</tr>
</table>
<p>完全备份+差异备份及还原：</p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">backup database &lt;database_name&gt; to disk=’d:＼backup＼database_name.bak’ with init,format;<br />
backup database &lt;database_name&gt; to disk=’d:＼backup＼database_name.bak’ with differential;<br />
restore database &lt;database_name&gt; from disk=’d:＼backup＼database_name.bak’ with file=1,norecovery;<br />
restore database &lt;database_name&gt; from disk=’d:＼backup＼database_name.bak’ with file=2,recovery;
</td>
</tr>
</table>
<p>PS:with file=&lt;n&gt; 表示备份文件同时包含完全备份&amp;差异备份，要还原的完整数据库备份是设备上的第1个备份集，差异备份是设备上的第2个备份集<br />
如果是不同的文件则不需要指定with file=&lt;n&gt;<br />
多次差异备份，还原时只需要使用你需要的时间点的最后一次差异备份就可以了<br />
完全备份+事务日志备份及还原</p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">backup database &lt;database_name&gt; to disk=’d:＼backup＼database_name.bak’ with init,format;<br />
backup log &lt;database_name&gt; to disk=’d:＼backup＼database_name.trn’;<br />
restore database &lt;database_name&gt; from disk=’d:＼backup＼database_name.bak’ with norecovery;<br />
restore log &lt;database_name&gt; from disk=’d:＼backup＼database_name.trn’ with recovery;
</td>
</tr>
</table>
<p>PS：多次日志备份则需要还原多次<br />
完全备份+差异备份+事务日志备份及还原</p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">backup database &lt;database_name&gt; to disk=’d:＼backup＼database_name.bak’ with init,format;<br />
backup database &lt;database_name&gt; to disk=’d:＼backup＼database_name.bak’ with differential;<br />
backup log &lt;database_name&gt; to disk=’d:＼backup＼database_name.trn’;<br />
restore database &lt;database_name&gt; from disk=’d:＼backup＼database_name.bak’ with norecovery;<br />
restore database &lt;database_name&gt; from disk=’d:＼backup＼database_name.bak’ with file=2,norecovery;<br />
restore log &lt;database_name&gt; from disk=’d:＼backup＼database_name.trn’ with recovery;
</td>
</tr>
</table>
<p>或者使用下面的，还原到特定的时刻：</p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">restore log &lt;database_name&gt; from disk=’d:＼backup＼database_name.trn’ with recovery,stopat = ’2014-09-09 13:26:00′;</td>
</tr>
</table>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-19 13:44:28</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ba%93/" title="数据库">数据库</a>, <a href="https://www.iamivan.net/tag/%e4%bb%a3%e7%a0%81/" title="代码">代码</a>, <a href="https://www.iamivan.net/tag/%e5%a4%87%e4%bb%bd/" title="备份">备份</a>, <a href="https://www.iamivan.net/tag/%e6%97%a5%e5%bf%97/" title="日志">日志</a>, <a href="https://www.iamivan.net/tag/%e4%ba%8b%e5%8a%a1/" title="事务">事务</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>SQLServer数据库备份及还原策略解析的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Nz75eRM.html" rel="bookmark">Mysql数据库备份和还原常用的命令</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Mysql数据库备份和还原常用的命令是进行Mysql数据库备份和还原的关键,没有命令,什么都无从做起,更谈不上什么备份还原,只有给系统这个命令,让它去执行,才能完成Mysql数据库备份和还原的操作,下面就是操作的常用命令. 一.备份命令 1.备份MySQL数据库的命令 mysqldump-hhostname-uusername-ppassword databasename&gt;backupfile.sql 2.备份MySQL数据库为带删除表的格式 备份MySQL数据库为带删除表的格式,能够让该备份覆			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3NDjmz.html" rel="bookmark">SQL Server 数据库备份和还原认识和总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  首先从数据库[恢复模式]说起,因为数据库如果恢复模式设置不正确,会导致数据无法还原. SQL Server 2012对数据库备份和还原与SQL Server 2008基本没有太大变化,仅对还原时间点选择UI和相关还原选项做了小改动,备份和还原核心没有做变化,这只是个人的掌握和了解,仅供参考,具体还请以官方文档为依据.以下利用SQL Server 2012 SSMS(SQL Server Management Studio)做图例演示. SQL Server 2008数据库恢复模式分为三种:完			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze0qmwp.html" rel="bookmark">php实现MySQL数据库备份与还原类实例&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了php实现MySQL数据库备份与还原类.分享给大家供大家参考.具体分析如下: 这是一个非常简单的利用php来备份mysql数据库的类文件,我们只要简单的在dbmange中配置好连接地址用户名与数据库即可,下面我们一起来看这个例子,代码如下: 复制代码 代码如下: &lt;?php   /**   * 创建时间: 2012年5月21日   *   * 说明:分卷文件是以_v1.sql为结尾(20120522021241_all_v1.sql)   * 功能:实现mysql数据库分卷备份,选			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk0Kawz.html" rel="bookmark">SQL Server 数据库备份和还原认识和总结（二）&lowbar;MsSql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				通过&lt;SQL Server 数据库备份和还原认识和总结(一)&gt;,相信您对数据备份和还原有了一个更深入的认识,在上文中我没有对事务日志做剖析,在此推荐宋沄剑的文章,对事务日志做了比较详细的讲解:http://www.jb51.net/article/31038.htm.本文将针对上文继续进行数据备份和还原讲解,主要讲解备份和还原的一些关键选项. 数据库备份选项 备份数据库时,有几个备份选项需要了解一下,覆盖介质.事务日志等.谈到覆盖介质时,必须先对这个概念有所了解,不然无从谈起. ● 介质集 (			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmVqm3z.html" rel="bookmark">SQL Server 数据库备份和还原认识和总结 （一）&lowbar;MsSql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				可能许多同学对SQL Server的备份和还原有一些了解,也可能经常使用备份和还原功能,我相信除DBA之外我们大部分开发员队伍对备份和还原只使用最基础的功能,对它也只有一个大概的认识,如果对它有更深入的认识,了解它更全面的功能岂不是更好,到用时会得心应手.因为经常有中小型客户公司管理人员对数据库不了解或掌握不牢,会请我们技术人员出马找回丢失的数据或硬件损坏移动数据的现象,或其它情况的发生. 首先从数据库[恢复模式]说起,因为数据库如果恢复模式设置不正确,会导致数据无法还原. SQL Server			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9WLDvz.html" rel="bookmark">SQL Server 数据库备份和还原认识和总结（一）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				可能许多同学对SQL Server的备份和还原有一些了解,也可能经常使用备份和还原功能,我相信除DBA之外我们大部分开发员队伍对备份和还原只使用最基础的功能,对它也只有一个大概的认识,如果对它有更深入的认识,了解它更全面的功能岂不是更好,到用时会得心应手.因为经常有中小型客户公司管理人员对数据库不了解或掌握不牢,会请我们技术人员出马找回丢失的数据或硬件损坏移动数据的现象,或其它情况的发生.     首先从数据库[恢复模式]说起,因为数据库如果恢复模式设置不正确,会导致数据无法还原.     SQ			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVGQ34b.html" rel="bookmark">mssqlServer 数据库备份和还原认识和总结（二）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				    数据库备份选项     备份数据库时,有几个备份选项需要了解一下,覆盖介质.事务日志等.谈到覆盖介质时,必须先对这个概念有所了解,不然无从谈起.     ● 介质集 (media set):备份介质(磁带或磁盘文件)的有序集合,使用固定类型和数量的备份设备向其写入了一个或多个备份操作.介质集所使用的备份设备的数量决定了介质集中的介质簇的数量. 例如,如果介质集使用两个非镜像备份设备,则该介质集包含两个介质簇.通常,创建介质集后,后续备份操作将依次向介质集追加其备份集.     ● 介质簇			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MY98RBM.html" rel="bookmark">【RAC】rac环境下的数据库备份与还原</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[RAC]rac环境下的数据库备份与还原 一.1  BLOG文档结构图       一.2  前言部分   一.2.1  导读 各位技术爱好者,看完本文后,你可以掌握如下的技能,也可以学到一些其它你所不知道的知识,~O(∩_∩)O~: ① rac环境下的数据库备份与还原 ② rman恢复数据库的一般步骤 ③ rac环境的简单操作   注意:本篇BLOG中代码部分需要特别关注的地方我都用黄色背景和红色字体来表示,比如下边的例子中,thread 1的最大归档日志号为33,thread 2的最大归档日			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7keoaz.html" rel="bookmark">SQLSERVER数据库备份后无法还原的解决办法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				有时候为了考虑数据安全我们都会备份数据库,sqlserver的备份格式一般都是bak结尾的,但覆盖时容易出问题,这里简单介绍下,需要的朋友可以参考下   有时候完全备份, 当还原的时候说不时数据库文件不让还原, 解决办法: 可以直接复制数据库文件, xxx.mdf 和 xxx.ldf (实际复制过程中需要先停止sqlserver服务才可以) 用 sp_attach_db 存储过程 就能搞定. 示例 下面的示例将 pubs 中的两个文件附加到当前服务器. EXEC sp_attach_db @db			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Xpml5Me.html" rel="bookmark" class="title">阿里云使用Windows系统通用配置有哪些问题</a>
					<div>
						安装和使用FTP/ Windows2003 硬盘分区和格式化For Windows 2008 服务器被肉鸡了怎么办? 使用FileZilla配置FTP站点 Docker私有镜像库 Windows系统云 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8lo4p.html" rel="bookmark" class="title">推荐几个入门级的JS特效代码</a>
					<div>
						js|特效 1.以事件驱动JavaScript 函数 &lt;!DOCTYPE HTML PUBLIC &quot;-//W3C//DTD HTML 4.01 Transitional//EN&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1RlKdp.html" rel="bookmark" class="title">为什么无线路由器进不去192&period;168&period;1&period;1</a>
					<div>
						几个月前买了个TPLINK无线路由器,按照说明书设置了之后正常使用了 一段时间,一段时间没用,再用发现没法用了!按照说明书设置IP和DNS全部自动获取,还是进不去192.168.1.1,把IP设置为  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7k56Kz.html" rel="bookmark" class="title">Java多线程基础总结四：ThreadLocal</a>
					<div>
						说到ThreadLocal,首先说说这个类的命名.直观上看好像是个Thread的什么亲戚,但其实它想表达的意思是线程本地变量,也就是说每 个线程自己的变量.它作为一个JDK5以后支持范型的类,主要是想 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5AVLBp.html" rel="bookmark" class="title">GPRS对GSM网资源的影响</a>
					<div>
						作为网络中引入的一种新的技术和新的业务,GPRS的实施必定会对已有的以语音为主的GSM网络资源造成影响:另外,因为GSM语音业务与GPRS数据业务本身特性的不同,网络特定功能对它们的影响也就不同,因此 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKyoOM.html" rel="bookmark" class="title">判别剪贴板上所有可用的格式</a>
					<div>
						注:此文中程序原为VB书写.老妖改为CB版. 如果你想知道剪贴板上是否包含来自excel的数据,或者你想判别rich text格式是否可用以激活粘贴菜单时,以下程序可以告诉你如何判别当前剪贴板上所有可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj7JAVM.html" rel="bookmark" class="title">酷我音乐盒不想要的播放列表怎么删除</a>
					<div>
						酷我音乐盒删除不想要的播放列表方法很简单,用户可以在&quot;网络曲库&quot;-&quot;我的播放列表&quot;栏目中,右键单击播放列表名称,选择&quot;删除列表&quot;选项. 酷我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91a7gM.html" rel="bookmark" class="title">安卓手机搜狗输入法怎么切换到手写</a>
					<div>
						  1.在进行输入时,弹出搜狗输入界面,点击图中的按钮,如图1所示:   (图1) 2.出现之后,点击&quot;手写键盘&quot;,就可以切换到手写输入了,如图2所示:   (图2) 3. 这样就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRaQRz.html" rel="bookmark" class="title">Photoshop绘制可爱的小熊玩具</a>
					<div>
						重点是皮毛纹理的制作.作者介绍了一种非常简单的方法,用滤镜来完成.用到的滤镜也比较少:杂色及径向模糊滤镜,后期只需增加一些样式,调节明暗就可以做出类似毛发效果. 最终效果 1.新建大小适当的文件,先用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKOR1p.html" rel="bookmark" class="title">WPS演示中如何添加闪烁字幕动画</a>
					<div>
						最近用WPS2005版制作做幻灯片的人越来越多了,有人想在字幕演示上有所改变,能够有一种全新的感觉,我仔细琢磨认真操作制作出了一种动画,希望大家能多提意见. 操作步骤如下: 1. 新建一个空白的幻灯片 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/balGgJz.html" rel="bookmark" class="title">使用IE浏览器出现蓝屏问题的临时解决方案</a>
					<div>
						故障现象: 近期发现,在Win7 SP1操作系统下,使用Windows update进行系统更新后,会出现使用IE或IE内核浏览器蓝屏问题. 原因分析: 初步判断与微软补丁 KB2670838 相关  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlR7e8z.html" rel="bookmark" class="title">网页设计中的版式设计之图版率</a>
					<div>
						  在页面设计中,除了文字之外,通常都会加入图片或是插图等视觉直观性的内容.表示这些视觉要素所占面积与整体页面的之间比率的就是图版率. 简单说来,图版率就是页面中图片面积的所占比.这种文字和图片所占的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/badE7wz.html" rel="bookmark" class="title">组装电脑i5-6500全侧透光效DIY装机图文教程</a>
					<div>
						  在正式装机之前,我们先来介绍下这套面向2015第六代新平台电脑配置具体情况,主机配置单如下. i5-6500第六代组装电脑主机配置单 配件名称品牌型号 处理器Intel酷睿i5-6500(散)散热 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGjnrp.html" rel="bookmark" class="title">将网页快捷方式添加到开始屏幕和任务栏上</a>
					<div>
						Windows 8内置了全新的网页浏览器 IE10.相比较之前的 IE9,新版本拥有更快的速度和体验,在安全性方面也有不小的提升.在新用户界面下,IE10 同样拥有不素不俗的表现,若您的设备拥有触控屏 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWXAajp.html" rel="bookmark" class="title">Win8&period;1如何得理字体模糊的问题？</a>
					<div>
						有不少用户在安装Win8.1正式版系统后发现屏幕上很多文字显示模糊,包括快捷方式上的文字,那么如何解决Win8.1系统文字模糊的问题呢?下面一起来看看解决方法吧. 方法一. 1.在桌面右键单击选择 屏 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z42jyjM.html" rel="bookmark" class="title">oc-property &amp;amp&semi;amp&semi;&num;39&semi;image1&amp;amp&semi;amp&semi;&num;39&semi; not found on object of type &amp;amp&semi;amp&semi;&num;39&semi;id&amp;amp&semi;amp&semi;&num;39&semi;</a>
					<div>
						问题描述 property 'image1' not found on object of type 'id' 自定义cell,想把模型数组里的第一个模型元素的image1属性,赋值给cell的ima ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr36ejp.html" rel="bookmark" class="title">我奋斗了18年才和你坐在一起喝咖啡</a>
					<div>
						 http://blog.csdn.net/crcr/article/details/6632863					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN796mp.html" rel="bookmark" class="title">报文编辑器 安卓-基于安卓手机系统的报文编辑器</a>
					<div>
						问题描述 基于安卓手机系统的报文编辑器 基于智能手机系统(android或windows mobile phone系统)开发手机软件(报文编辑器)或设计软件集成方案自动生成三份书面报告word文档(含 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z406ZNz.html" rel="bookmark" class="title">错误&Tab;&OpenCurlyDoubleQuote;&OpenCurlyDoubleQuote;NameSpace&period;Test&lowbar;Index&period;Dispose&lpar;bool&rpar;&rdquo;&colon; 没有找到适合的方法来重写</a>
					<div>
						背景:         项目要根据之前的一份代码,来修改实现新的功能,但修改命名空间\类名后,编译出现了下面的错误: 错误 2 &quot;NameSpace.Test_Index.Dispose(b ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmKAgjb.html" rel="bookmark" class="title">java-HTML5里的datelist标签可以传递Name和Value吗&quest;</a>
					<div>
						问题描述 HTML5里的datelist标签可以传递Name和Value吗? 就像Select Option标签,在Option里显示名字,实际上是传递名字对应的Id(主键) DateList可以实现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ZkmWz.html" rel="bookmark" class="title">国内知名汽车网站&OpenCurlyDoubleQuote;成龙汽车网&rdquo;停止运营</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 河北汽车网2010年12月9日讯  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8AvZBz.html" rel="bookmark" class="title">本科大学的未来？</a>
					<div>
						摘要: (一位大胆的科技企业家认为他可以重塑高等教育手段是:回归教育本质,把大规模讲座.终身教职.连同橄榄球比赛.以及爬满了常春藤的大楼和研究图书馆统统去除.如果他是对的 (一位大胆的科技企业家认为他 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKYj1Op.html" rel="bookmark" class="title">32位-读书遇到一个C语言问题，有些不理解，希望得到帮助。</a>
					<div>
						问题描述 读书遇到一个C语言问题,有些不理解,希望得到帮助. 在int类型为32位和char类型为8位的ASCII系统中,下列代码: char grade = 'B' 意味着'B'作为数值66存储在一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKqOWz.html" rel="bookmark" class="title">Linux下部署Hadoop伪分布模式</a>
					<div>
						Hadoop版本为1.2.1 Linux使用Fedora19并使用hadoop账号安装 第一步:配置ssh本地登录证书(虽然为伪分布模式,Hadoop依然会使用SSH进行通信) [hadoop@pro ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Rw2nz.html" rel="bookmark" class="title">php数组函数序列之array&lowbar;unique&lpar;&rpar; - 去除数组中重复的元素值&lowbar;php技巧</a>
					<div>
						array_unique() 定义和用法 array_unique() 函数移除数组中的重复的值,并返回结果数组. 当几个数组元素的值相等时,只保留第一个元素,其他的元素被删除. 返回的数组中键名不变 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJnZmp.html" rel="bookmark" class="title">云计算运维管理的要点和改进研究</a>
					<div>
						云计算在企业运营中的基本工作原理是将计算分布在大量分布式计算机中,从而使企业数据中心的运行和互联网更为相似.通过云计算的运维管理,企业不仅能够实现对IT资源的统一,根据用户的需求提供可量化的存储服务与 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPlWdmp.html" rel="bookmark" class="title">如何在UpdatePanel中调用JS客户端脚本&lowbar;C&num;教程</a>
					<div>
						页面中加入了UpdatePanel后,Response.Write(&quot;&lt;script&gt;function dis (){alert('这是调用写在server的JS');}&lt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEm48z.html" rel="bookmark" class="title">全面解析Bootstrap弹窗的实现方法&lowbar;javascript技巧</a>
					<div>
						一. 结构分析  Bootstrap框架中的模态弹出框,分别运用了&quot;modal&quot;.&quot;modal-dialog&quot;和&quot;modal-content&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3Zl6wz.html" rel="bookmark" class="title">浅析js预加载&sol;延迟加载&lowbar;javascript技巧</a>
					<div>
						Pre loader 预加载一般有两种常用方式:xhr和动态插入节点的方式.动态插入节点是最为简单也最为广泛的一种异步加载方式,然后使用动态插入节点方法加载的文件都会 在加载后立即执行,javascr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBkL3aM.html" rel="bookmark" class="title">影响网站关键词排名的几个因素分析</a>
					<div>
						做SEO的都有这个烦恼为啥,我的网站没有排名,明明自己从基础优化到外部引流都是做了的,更甚至流量也有,但就是没有关键词排名,那么你是否注意到下面4点了: 1.网站站内是否相关性太弱 有时候,虽然你的网 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
